[arch-commits] Commit in bitlbee/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Aug 3 11:49:24 EDT 2008


    Date: Sunday, August 3, 2008 @ 11:49:24
  Author: jgc
Revision: 7623

upgpkg: bitlbee 1.0.4-2
    Rebuild for GNUTLS

Modified:
  bitlbee/trunk/PKGBUILD

----------+
 PKGBUILD |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-03 15:49:14 UTC (rev 7622)
+++ PKGBUILD	2008-08-03 15:49:24 UTC (rev 7623)
@@ -3,12 +3,12 @@
 # Maintainer: simo <simo at archlinux.org>
 pkgname=bitlbee
 pkgver=1.0.4
-pkgrel=1
+pkgrel=2
 pkgdesc="An IRC to IM gateway. Supports MSN, ICQ, Jabber, Yahoo!, and AIM"
 arch=(i686 x86_64)
 url="http://www.bitlbee.org/" 
 license="GPL"
-depends=('gnutls>=1.4.0' 'glib2' 'xinetd')
+depends=('gnutls>=2.4.1' 'glib2>=2.12.4' 'xinetd')
 install=bitlbee.install
 backup=(etc/bitlbee/bitlbee.conf etc/bitlbee/motd.txt etc/xinetd.d/bitlbee)
 source=(http://get.bitlbee.org/src/$pkgname-$pkgver.tar.gz bitlbee.xinetd)
@@ -17,12 +17,12 @@
 
 build() { 
   cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --ssl=gnutls --etcdir=/etc/bitlbee
+  ./configure --prefix=/usr --ssl=gnutls --etcdir=/etc/bitlbee || return 1
   make || return 1
-  mkdir -p $startdir/pkg/var/lib
+  install -m755 -d $startdir/pkg/var/lib || return 1
   install -o65 -g65 -d -m0770 $startdir/pkg/var/lib/bitlbee
   install -D -m644 $startdir/src/bitlbee.xinetd \
-                   $startdir/pkg/etc/xinetd.d/bitlbee
-  make DESTDIR=$startdir/pkg install
-  make DESTDIR=$startdir/pkg install-etc
+                   $startdir/pkg/etc/xinetd.d/bitlbee || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+  make DESTDIR=$startdir/pkg install-etc || return 1
 }




More information about the arch-commits mailing list